require_relative 'project'

module Fundraise

class MatchProject < Project

  def initialize(name, target=200, funding=0)
    super(name, target, funding)
    @halfway_funded = target/2
  end

   def halfway_funded?
    @current_funding >= @halfway_funded
   end

  def gain(gain=25, pledge=false)
    if halfway_funded?
#    @current_funding = @current_funding + gain*2
     super(gain*2)
    else
     if (@current_funding + gain) >= @halfway_funded
       difference = @current_funding + gain -@halfway_funded
       super(difference*2)
     end
    end
  end
end

end
